/*
 * Copyright (C) 2000-2002 ASANO Masahiro
 */

#include "def.h"

#define __KERNEL__
#include <linux/tqueue.h>

void
prhead_tq_struct()
{
	mprintf(SPTR"  "SPTR" "SPTR"     SYNC  "SPTR"  "SPTR"\n",
		"ADDR", "NEXT", "PREV", "ROUTINE", "DATA");
}

addr_t
print_tq_struct(addr)
	addr_t addr;
{
	struct tq_struct tq;

	memread(addr, sizeof(tq), &tq, "tq_struct");
	mprintf(FPTR "  ", addr);
	mprintf(FPTR " " FPTR " %8lx  " FPTR "  " FPTR "\n",
		tq.list.next, tq.list.prev, tq.sync, tq.routine, tq.data);
	return (addr_t) tq.list.next;
}
